<?php
/**
 * Main application class
 *
 * @package wp-chat-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */

//
//Include all function files
require_once( IPCHT_LIB . '/config.php' );
require_once( IPCHT_LIB . '/setting.php' );
require_once( IPCHT_LIB . '/db.php' );
require_once( IPCHT_LIB . '/font.php' );
require_once( IPCHT_LIB . '/faicon.php' );
require_once( IPCHT_LIB . '/list.php' );
require_once( IPCHT_LIB . '/chat.php' );

//Model
require_once( IPCHT_LIB . '/model.php' );
require_once( IPCHT_LIB . '/model/widget.php' );
require_once( IPCHT_LIB . '/model/user.php' );
require_once( IPCHT_LIB . '/model/session.php' );
require_once( IPCHT_LIB . '/model/chat.php' );
require_once( IPCHT_LIB . '/model/chatOffline.php' );
require_once( IPCHT_LIB . '/model/setting.php' );
require_once( IPCHT_APP . '/controller.php' );
require_once( IPCHT_APP . '/viewer.php' );
require_once( IPCHT_LIB . '/factory.php' );

//Admin Libraries
require_once( IPCHT_LIB . '/html.php' );
require_once( IPCHT_LIB . '/form.php' );
require_once( IPCHT_LIB . '/admin.php' );
require_once( IPCHT_LIB . '/admin/manage.php' );
require_once( IPCHT_LIB . '/admin/widget.php' );
require_once( IPCHT_LIB . '/admin/dashboard.php' );
require_once( IPCHT_LIB . '/admin/chat.php' );
require_once( IPCHT_LIB . '/admin/user.php' );
require_once( IPCHT_LIB . '/admin/offline.php' );
require_once( IPCHT_LIB . '/admin/setting.php' );


//Color library
if ( ! class_exists( 'phpColor' )) {
	require_once( IPCHT_LIB . '/Color.php' );
}

if ( ! class_exists( 'IPCht_App' ))
{
	class IPCht_App
	{
		//{{ run

		/**
		 * Run all functions
		 *
		 * @return void
		 */
		public static function run()
		{
			$hook = sanitize_title( IPCHT_TITLE );

			//Install Plugin
			register_activation_hook( __FILE__, array( __CLASS__, 'install' ) );

			//Hook for plugin loaded
			add_action( 'plugins_loaded', array( __CLASS__, 'updateDb' ) );

			//
			//Admin init
			add_action( 'admin_init', array( __CLASS__, 'adminInit' ) );

			//
			//Register admin menu
			add_action( 'admin_menu', array( __CLASS__, 'addAdminMenu' ) );

			//Add widget 
			add_action( 'wp_footer', array( __CLASS__, 'factory' ) );

			//
			//Add css
			add_action(
				'admin_print_styles-toplevel_page_' . IPCHT_PAGENAME,
				array( __CLASS__, 'adminStyle' ),
				1100
			);
			add_action(
				'admin_print_styles-'.$hook.'_page_' . IPCHT_PAGENAME . '-chat',
				array( __CLASS__, 'adminStyle' ),
				1100
			);
			add_action(
				'admin_print_styles-'.$hook.'_page_' . IPCHT_PAGENAME . '-user',
				array( __CLASS__, 'adminStyle' ),
				1100
			);
			add_action(
				'admin_print_styles-'.$hook.'_page_' . IPCHT_PAGENAME . '-offline',
				array( __CLASS__, 'adminStyle' ),
				1100
			);
			add_action(
				'admin_print_styles-'.$hook.'_page_' . IPCHT_PAGENAME . '-widget',
				array( __CLASS__, 'adminStyle' ),
				1100
			);
			add_action(
				'admin_print_styles-'.$hook.'_page_' . IPCHT_PAGENAME . '-setting',
				array( __CLASS__, 'adminStyle' ),
				1100
			);
			/*add_action(
				'admin_print_styles',
				array( __CLASS__, 'adminGlobalStyle' ),
				1000
			);*/

			//
			//Add javascript
			add_action(
				'admin_print_scripts-toplevel_page_' . IPCHT_PAGENAME,
				array( __CLASS__, 'adminScript' ),
				1100
			);
			add_action(
				'admin_print_scripts-'.$hook.'_page_'.IPCHT_PAGENAME. '-chat',
				array( __CLASS__, 'adminScript' ),
				1100
			);
			add_action(
				'admin_print_scripts-'.$hook.'_page_'.IPCHT_PAGENAME. '-user',
				array( __CLASS__, 'adminScript' ),
				1100
			);
			add_action(
				'admin_print_scripts-'.$hook.'_page_'.IPCHT_PAGENAME. '-offline',
				array( __CLASS__, 'adminScript' ),
				1100
			);
			add_action(
				'admin_print_scripts-'.$hook.'_page_'.IPCHT_PAGENAME. '-widget',
				array( __CLASS__, 'adminScript' ),
				1100
			);
			add_action(
				'admin_print_scripts-'.$hook.'_page_'.IPCHT_PAGENAME. '-setting',
				array( __CLASS__, 'adminScript' ),
				1100
			);
			/*add_action(
				'admin_print_scripts',
				array( __CLASS__, 'adminGlobalScript' ),
				1000
			);*/

			//
			//Front style & script
			add_action('wp_head', array( __CLASS__, 'publicStyle' ) );

			if ( ! is_admin() ) {
				add_action('wp_enqueue_scripts', array( __CLASS__, 'publicScript' ), 10 );
			}
		}

		//}}
		//{{ install

		/**
		 * Install plugin
		 *
		 * @return void
		 */
		public static function install()
		{
			//Install DB
			$db = new IPCht_Db();
			$db->install();
		}

		//}}
		//{{ updateDb

		/**
		 * Update Db
		 *
		 * @return void
		 */
		public static function updateDb()
		{
			$db = new IPCht_Db();
			$db->update();
		}

		//}}
		//{{ adminInit

		/**
		 * Admin init
		 *
		 * @return void
		 */
		public static function adminInit()
		{
			/**
			 * Ajax handler
			 **/
			$controller = new IPCht_Controller();
			$controller->ajax();
		}

		//}}
		//{{ addAdminMenu

		/**
		 * Add admin menu
		 *
		 * @return void
		 */
		public static function addAdminMenu()
		{
			add_menu_page(
				IPCHT_TITLE,
				IPCHT_TITLE,
				'edit_posts',
				IPCHT_PAGENAME,
				array( __CLASS__, 'dashboard' ),
				'dashicons-slides'
			);
			add_submenu_page(
				IPCHT_PAGENAME,
				__( 'Dashboard', IPCHT_SLUG ),
				__( 'Dashboard', IPCHT_SLUG ),
				'edit_posts',
				IPCHT_PAGENAME,
				array( __CLASS__, 'dashboard' )
			);
			add_submenu_page(
				IPCHT_PAGENAME,
				__( 'Chats', IPCHT_SLUG ),
				__( 'Chats', IPCHT_SLUG ),
				'edit_posts',
				IPCHT_PAGENAME . '-chat',
				array( __CLASS__, 'chat' )
			);
			add_submenu_page(
				IPCHT_PAGENAME,
				__( 'Offline Message', IPCHT_SLUG ),
				__( 'Offline Message', IPCHT_SLUG ),
				'edit_posts',
				IPCHT_PAGENAME . '-offline',
				array( __CLASS__, 'offline' )
			);
			add_submenu_page(
				IPCHT_PAGENAME,
				__( 'Users', IPCHT_SLUG ),
				__( 'Users', IPCHT_SLUG ),
				'edit_posts',
				IPCHT_PAGENAME . '-user',
				array( __CLASS__, 'user' )
			);
			add_submenu_page(
				IPCHT_PAGENAME,
				__( 'Widget', IPCHT_SLUG ),
				__( 'Widget', IPCHT_SLUG ),
				'edit_posts',
				IPCHT_PAGENAME . '-widget',
				array( __CLASS__, 'widget' )
			);
			add_submenu_page(
				IPCHT_PAGENAME,
				__( 'Settings', IPCHT_SLUG ),
				__( 'Settings', IPCHT_SLUG ),
				'edit_posts',
				IPCHT_PAGENAME . '-setting',
				array( __CLASS__, 'setting' )
			);
		}

		//}}
		//{{ dashboard

		/**
		 * Manage all boxes
		 *
		 * @return void
		 */
		public static function dashboard()
		{
      $builder = new IPCht_Admin_Dashboard();
      $builder->render();
		}

		//}}
		//{{ chat

		/**
		 * Chat Manager
		 *
		 * @return void
		 */
		public static function chat()
		{
      $builder = new IPCht_Admin_Chat();
      $builder->render();
		}

		//}}
		//{{ offline

		/**
		 * Offline message Manager
		 *
		 * @return void
		 */
		public static function offline()
		{
      $builder = new IPCht_Admin_Offline();
      $builder->render();
		}

		//}}
		//{{ widget

		/**
		 * Manage widget styles
		 *
		 * @return void
		 */
		public static function widget()
		{
      $builder = new IPCht_Admin_Widget();
      $builder->render();
		}

		//}}
		//{{ user

		/**
		 * Manage users
		 *
		 * @return void
		 */
		public static function user()
		{
      $builder = new IPCht_Admin_User();
      $builder->render();
		}

		//}}
		//{{ setting

		/**
		 * Add administrator setting page
		 *
		 * @return void
		 */
		public static function setting()
		{
      $builder = new IPCht_Admin_Setting();
      $builder->render();
		}

		//}}
		//{{ factory

		/**
		 * Add administrator factory page
		 *
		 * @return void
		 */
		public static function factory()
		{
      $builder = new IPCht_Factory();
      $builder->render();
		}

		//}}
		//{{ adminStyle

		/**
		 * Add Css file
		 *
		 * @return void
		 */
		public static function adminStyle()
		{
			wp_deregister_style( 'ipcht-admin-style' );
			wp_register_style(
				'ipcht-admin-style',
				IPCHT_BASE_URL . 'assets/css/admin.min.css',
				false,
				null
			);
			wp_enqueue_style('ipcht-admin-style');
		}

		//}}
		//{{ adminGlobalStyle

		/**
		 * Add Css file to all pages
		 *
		 * @return void
		 */
		public static function adminGlobalStyle()
		{
			wp_deregister_style( 'ipcht-admin-global-style' );
			wp_register_style(
				'ipcht-admin-global-style',
				IPCHT_BASE_URL . 'assets/css/admin-global.min.css',
				false,
				null
			);
			wp_enqueue_style( 'ipcht-admin-global-style' );
		}

		//}}
		//{{ adminScript

		/**
		 * Add javascript file
		 *
		 * @return void
		 */
		public static function adminScript()
		{
		?>
			<script type="text/javascript">
				var ipcht_img_url = '<?php echo IPCHT_BASE_URL . 'assets/img/'; ?>',
					ui_base_image	= '<?php echo IPCHT_BASE_URL . 'assets/img/'; ?>',
					ui_message		 =
					{
						delete_confirm_title: '<?php _e( 'Delete Confirmation', IPCHT_SLUG ); ?>',
						delete_confirm_info: '<?php _e( 'Are you sure doing this action?', IPCHT_SLUG ); ?>'
					}
			</script>

			<?php
			wp_deregister_script('jquery-ui');
			wp_register_script(
				'jquery-ui',
				"http" . ($_SERVER['SERVER_PORT'] == 443 ? "s" : "") . "://ajax.googleapis.com/ajax/libs/jqueryui/1.10.4/jquery-ui.min.js",
				false,
				null
			);
			wp_enqueue_script('jquery-ui');

			wp_deregister_script('ipcht-validate-script');
			wp_enqueue_script(
				'ipcht-validate-script',
				IPCHT_BASE_URL . 'assets/js/public/jquery.validate.min.js',
				array( 'jquery' ),
				1,
				true
			);
			wp_enqueue_script('ipcht-validate-script');

			wp_deregister_script('ipcht-admin-script');
			wp_enqueue_script(
				'ipcht-admin-script',
				IPCHT_BASE_URL . 'assets/js/admin.js',
				array( 'jquery' ),
				1,
				true
			);
		}

		//}}
		//{{ adminGlobalScript

		/**
		 * Add javascript file to all pages
		 *
		 * @return void
		 */
		public static function adminGlobalScript()
		{
			wp_deregister_script('ipcht-admin-global-script');
			wp_enqueue_script(
				'ipcht-admin-global-script',
				IPCHT_BASE_URL . 'assets/js/admin-global.min.js',
				array( 'jquery' ),
				1,
				true
			);
		}

		//}}
		//{{ publicStyle

		/**
		 * Print public style
		 *
		 * @return void
		 */
		public static function publicStyle()
		{
			global $post;

			//Set google font
      $fonts  = array( 'roboto' );
      $model  = new IPCht_Model_Widget();
      $config = $model->getSettings();

      $fonts[] = $config->getSetting( 'tab_font_family', 'roboto' );
      $fonts[] = $config->getSetting( 'header_font_family', 'roboto' );
      $fonts[] = $config->getSetting( 'footer_font_family', 'roboto' );
      $fonts[] = $config->getSetting( 'area_font_family', 'roboto' );
      $fonts[] = $config->getSetting( 'form_font_family', 'roboto' );
      $fonts[] = $config->getSetting( 'chat_font_size', 'roboto' );
  		$fonts   = array_unique( $fonts );

      $fams  = array();
      $links = IPCht_Font::getLinks();
      foreach( $fonts as $font ) 
      {
        if ( array_key_exists( $font, $links )) 
        {
          $fams[] = $links[$font];
        }
      }
      $families = implode( '|', $fams );
      
      $fontUrl = 'http://fonts.googleapis.com/css?family=' . $families;
      echo '<link id="ipcht-font" href="' . $fontUrl . '" rel="stylesheet" type="text/css">';
		?>
			<script type="text/javascript">
				var ipcht_ajaxurl	= "<?php echo admin_url( 'admin-ajax.php' ); ?>";
				var ipcht_img_url	= '<?php echo IPCHT_BASE_URL . 'assets/img/'; ?>';
				var ipcht_post_id	= '<?php echo $post->ID; ?>';
			</script>

			<?php
			wp_enqueue_style('ipcht-public-style');
			wp_deregister_style( 'ipcht-public-style' );
			wp_register_style(
				'ipcht-public-style',
				IPCHT_BASE_URL . 'assets/css/public.min.css',
				false,
				null
			);
			wp_enqueue_style('ipcht-public-style');
			?>

		<?php
		}

		//}}
		//{{ publicScript

		/**
		 * Print public script
		 *
		 * @return void
		 */
		public static function publicScript()
		{
			wp_enqueue_script('jquery');

			wp_deregister_script('jquery-ui');
			wp_register_script(
				'jquery-ui',
				"http" . ($_SERVER['SERVER_PORT'] == 443 ? "s" : "") . "://ajax.googleapis.com/ajax/libs/jqueryui/1.10.4/jquery-ui.min.js",
				false,
				null
			);
			wp_enqueue_script('jquery-ui');

			wp_deregister_script('ipcht-public-script');
			wp_enqueue_script(
				'ipcht-public-script',
				IPCHT_BASE_URL . 'assets/js/public.js',
				array( 'jquery' ),
				1,
				true
			);
			wp_enqueue_script('ipcht-public-script');

			wp_deregister_script('ipcht-validate-script');
			wp_enqueue_script(
				'ipcht-validate-script',
				IPCHT_BASE_URL . 'assets/js/public/jquery.validate.min.js',
				array( 'jquery' ),
				1,
				true
			);
			wp_enqueue_script('ipcht-validate-script');
		}
		//}}
	}
}
