<?php
/**
 * Controller to handling deleting message process
 *
 * @package wp-slideshow-master
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPCht_Ajax_Delete_message' ))
{
  class IPCht_Ajax_Delete_message
  {
    /**
     * Execution save options process
     *
     * @return void
     */
    public function exec()
    {
      $item  = false;
      $model = new IPCht_Model_ChatOffline();
      if ( ! empty( $_REQUEST['id'] )) 
      {
        $id   = absint( $_REQUEST['id'] );
        $item = $model->getChat( $id );
      }
      if ( ! $item ) {
        echo json_encode( array(
          'status'   => 0,
          'message'  => __( 'Error system', IPCHT_SLUG )
        ) );
        die();
      }
      $result = $model->deleteChat( $item->choff_id, true );
      if ( $result ) {
        echo json_encode( array(
          'status'   => 1,
          'message'  => __( 'Message successfully deleted', IPCHT_SLUG ),
          'redirect' => admin_url() . 'admin.php?page=' . IPCHT_PAGENAME . '-offline'
        ) );
      } else {
        echo json_encode( array(
          'status'  => 0,
          'message' => __( 'Failed to remove the message', IPCHT_SLUG )
        ) );
      }
      die();
    }
  }
}
