<?php
/**
 * Admin dashboard view
 *
 * @package wp-chat-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */
?>
<!-- start: .ipcht-manage-dashboard -->
<div class="ipcht-manage-dashboard ipcht-manage-wrap ipcht-manage-sidebar">

	<!-- start: .ipcht-form-inner -->
	<div class="ipcht-form-inner">

		<!-- start: .ipcht-stat-review -->
		<div class="ipcht-stat-review ipcht-stat-nav">

			<div class="container container-fluid">
				<ul class="row">
					<li class="col-sm-4 ipcht-nav-slide-view ipcht-nav-blue active">
						<a href="#stat-slide_view">
							<i class="ipcht-fa ipcht-fa-users"></i>
							<span class="stat-value">
								<strong> <?php echo number_format( $this->total_users ); ?> </strong>
								<em> <?php _e( 'Total Users', IPCHT_SLUG ); ?></em>
							</span>
						</a>
					</li>
					<li class="col-sm-4 ipcht-nav-media-view ipcht-nav-green">
						<a href="#stat-media_view">
							<i class="ipcht-fa ipcht-fa-check-square-o"></i>
							<span class="stat-value">
								<strong> <?php echo number_format( $this->total_onlines ); ?></strong>
								<em> <?php _e( 'Active Users', IPCHT_SLUG ); ?></em>
							</span>
						</a>
					</li>
					<li class="col-sm-4 ipcht-nav-detail-view ipcht-nav-orange">
						<a href="#stat-detail_view">
							<i class="ipcht-fa ipcht-fa-envelope"></i>
							<span class="stat-value">
								<strong> <?php echo number_format( $this->total_messages ); ?></strong>
								<em> <?php _e( 'Total Messages', IPCHT_SLUG ); ?></em>
							</span>
						</a>
					</li>
				</ul>
			</div>

		</div>
		<!-- end: .ipcht-stat-review -->


		<!-- start: .ipcht-dashboard-main -->
		<div class="ipcht-dashboard-main">
			<div class="container container-fluid">
				<div class="row">
					
					<!-- start: .ipcht-dash-new-users -->
					<div class="col-md-6 ipcht-dash-content ipcht-dash-new-users">
						<div class="ipcht-dash-inner">
							<h4 class="ipcht-dash-title"><?php _e( 'New Users', IPCHT_SLUG ); ?></h4>
							
							<!-- start: .ipcht-dash-main -->
							<div class="ipcht-dash-main ipcht-manage-user">
								<div class="ipcht-table-users">
					    		<table>
					    			<thead>
					    				<tr>
					    					<th>ID</th>
					    					<th>Name</th>
					    					<th>Email</th>
					    				</tr>
					    			</thead>
					    			<tbody>
					    				<?php
					    				if ( ! empty( $this->new_users )) :
					    					foreach( $this->new_users as $user ):
					    				?>

					    				<tr>
					    					<td><?php echo $user->user_id; ?></td>
					    					<td><?php echo $user->user_name; ?></td>
					    					<td><?php echo $user->user_email; ?></td>
					    				</tr>

					    				<?php
					    					endforeach;
					    				else :
					    				?>
					    				<tr>
					    					<td colspan="5"><?php _e( 'Data Not Available', IPCHT_SLUG ); ?></td>
					    				</tr>
					    				<?php
					    				endif;
					    				?>
					    			</tbody>
					    		</table>
					    	</div>
							</div>
							<!-- end: .ipcht-dash-main -->

						</div>
					</div>
					<!-- end: .ipcht-dash-new-users -->
					
					<!-- start: .ipcht-dash-new-msgs -->
					<div class="col-md-6 ipcht-dash-content ipcht-dash-new-msgs">
						<div class="ipcht-dash-inner">
							<h4 class="ipcht-dash-title"><?php _e( 'New Messages', IPCHT_SLUG ); ?></h4>
							
							<!-- start: .ipcht-dash-main -->
							<div class="ipcht-dash-main">
								<!-- start: .ipcht-dash-messages -->
								<div class="ipcht-dash-messages">
									<?php
									if ( ! empty( $this->new_messages )) :
										foreach( $this->new_messages as $message ) :
									?>
										<div class="ipcht-message">
											<div class="ipcht-message-top">
												<div class="row">
													<div class="col-sm-8 ipcht-message-user">
														<i class="ipcht-fa ipcht-fa-user"></i>
														<?php echo $message->choff_user_name; ?>
														&lt;<?php echo $message->choff_user_email; ?>&gt;
													</div>
													<div class=" col-sm-4 ipcht-message-date">
														<i class="ipcht-fa ipcht-fa-clock-o"></i>
														<?php echo mysql2date( 'd M Y, h:i', $message->choff_timestamp ); ?>
													</div>
												</div>
											</div>
											<div class="ipcht-message-main">
												<i class="ipcht-fa ipcht-fa-quote-left"></i>
												<p>
												<?php
												$msg = strip_tags( $message->choff_message );
									      if ( strlen( $msg ) > 50 )
									      {
									        $label  = substr( $msg, 0, 50 );
									        $label .= '...';
									      } 
									      else {
									        $label = $msg;
									      }
									      echo $label;
												?>
												</p>
											</div>
										</div>
									<?php
										endforeach;
									else :
									?>
										<p><?php _e( 'Data Not Available', IPCHT_SLUG ); ?></p>
									<?php
									endif;
									?>

								</div>
								<!-- end: .ipcht-dash-messages -->

							</div>
							<!-- end: .ipcht-dash-main -->

						</div>
					</div>
					<!-- end: .ipcht-dash-new-msgs -->


				</div>
			</div>
		</div>
		<!-- end: .ipcht-dashboard-main -->

	</div>
	<!-- end: .ipcht-form-inner -->
</div>
<!-- end: .ipcht-manage-dashboard -->