<?php
/**
 * Input fields view
 *
 * @package wp-chat-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */

//
//Field Bg Color
$this->renderFieldBackground(array(
	'name'			 		=> 'form',
	'label' 		 		=> 'form',
	'bgimage'				=> false,
	'color_default' => '#ffffff'
));

//
//Field Border
$this->renderFieldBorder(array(
	'name'			 		=> 'form',
	'color_default' => '#dddddd',
	'info'		   	  => 'Add border on the chat form.'
));

//
//Field Border radius
$options = array(
  'none' => __( 'None', IPCHT_SLUG ),
  'xs'   => __( 'Extra Small', IPCHT_SLUG ),
  'sm'   => __( 'Small', IPCHT_SLUG ),
  'md'   => __( 'Medium', IPCHT_SLUG ),
  'lg'   => __( 'Large', IPCHT_SLUG )
);
$this->renderFieldSelect(array(
	'name'		  	 => 'form_border_radius',
	'label'  	   	 => 'Border Radius',
	'info'		     => 'Add radius on the chat form.',
	'inputValue'   => 'none',
	'inputOptions' => $options
));

//
//Field Text Color
$this->renderFieldColor(array(
	'name'			 => 'form_text_color',
	'label'  	   => 'Text Color',
	'info'		   => 'Set the color of the text in form.',
	'inputValue' => '#666666'
));

//
//Field Font Size
$this->renderFieldSize(array(
	'name'		  	=> 'form_font_size',
	'label'  	   	=> 'Font Size',
	'info'		    => 'Set the font size of the text in form.',
	'inputValue'  => '13'
));

//
//Field Font Family
$this->renderFieldFontFamily(array(
	'name'			 => 'form_font_family',
	'label'  	   => 'Font Family',
	'info'		   => 'Set the font type of the text in form.'
));
?>

<h4 class="ipcht-field-title mb0 py10">
  <?php _e( 'Button Submit', IPCHT_SLUG ); ?>
</h4>

<?php
//
//Field Icon
$input = IPCht_Faicon::getHtmlFaOption( 'form_button_icon', 'fa-floppy-o' );
$this->renderField(
	'Button Icon',
	'form_button_icon',
	$input,
	'Select the button submit icon.',
	'horizontal',
	true
);

//
//Field Bg Color
$this->renderFieldColor(array(
	'name'			 		=> 'form_button_background_color',
	'label' 		 		=> 'Background Color',
	'info'  		 		=> 'Set the background color of the button submit.',
	'inputValue' 		=> '#333333'
));

//
//Field Border
$this->renderFieldBorder(array(
	'name'			 		=> 'form_button',
	'color_default' => '#111111',
	'info'		   	  => 'Add border on the button submit.'
));

//
//Field Border radius
$options = array(
  'none' => __( 'None', IPCHT_SLUG ),
  'xs'   => __( 'Extra Small', IPCHT_SLUG ),
  'sm'   => __( 'Small', IPCHT_SLUG ),
  'md'   => __( 'Medium', IPCHT_SLUG ),
  'lg'   => __( 'Large', IPCHT_SLUG )
);
$this->renderFieldSelect(array(
	'name'		  	=> 'form_button_border_radius',
	'label'  	   	=> 'Border Radius',
	'info'		   	=> 'Add radius on the button submit.',
	'inputValue'  => 'none',
	'inputOptions'  => $options
));

//
//Field Text Color
$this->renderFieldColor(array(
	'name'			 => 'form_button_color',
	'label'  	   => 'Text Color',
	'info'		   => 'Set the color of the text in button submit.',
	'inputValue' => '#ffffff'
));
?>