<?php
/**
 * Widget header style
 *
 * @package wp-chat-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$config   = $this->widgetConfig;

$height   = $config->getSetting( 'header_height', 48 );
$bgcolor  = $config->getSetting( 'header_background_color', '#333333' );
$color    = $config->getSetting( 'header_text_color', '#ffffff' );
$bowidth  = $config->getSetting( 'header_border_size' );
$bocolor  = $config->getSetting( 'header_border_color', '#111111' );
//
//Image
$imgurl = false;
if ( $bgimg = $config->getSetting( 'header_background_image' ))
{
    $data = wp_get_attachment_image_src( $bgimg, 'full' );
    if ( ! empty( $data[0] )) {
        $imgurl = $data[0];
    }
}
$repeat   = $config->getSetting( 'header_background_repeat', 'repeat' );

//Font
$fontSize = $config->getSetting( 'header_font_size', 16 );
$font_opt = $config->getSetting( 'header_font_family', 'roboto' );
$family   = IPCht_Font::getFamily( $font_opt );
?>

.ipcht-widget .ipcht-widget-header-inner {
  height: <?php echo $height; ?>px;
  background-color: <?php echo $bgcolor; ?>;
  color: <?php echo $color; ?>;
  <?php
  if ( $bowidth ) {
    echo 'border:' . $bowidth . 'px solid ' . $bocolor . ';';
  }
  ?>
}
.ipcht-widget .ipcht-widget-title {
  font-family: <?php echo $family; ?>;
  font-size: <?php echo $fontSize; ?>px;
  line-height: <?php echo $height; ?>px;
}
.ipcht-widget .ipcht-widget-title,
.ipcht-widget .ipcht-action-link {
  color: <?php echo $color; ?>;
}
.ipcht-widget .ipcht-widget-header .ipcht-header-bg {
	background-color: <?php echo $bgcolor; ?>;
  <?php
  if ( $imgurl ) {
    echo 'background-image: url(' . $imgurl . ');';
    echo 'background-repeat:'. $repeat . ';';
  }
  if ( $opacity = $config->getSetting( 'header_background_opacity', 20 )) {
      $value = $opacity/100;
      echo 'opacity:' . $value . ';';
  }
  ?>
}

<?php
if ( $bowidth ) {
  $botcolor = $bocolor;
} else {
  $botcolor = $bgcolor;
}
?>
.ipcht-widget .ipcht-widget-header:after {
  border-top-color: <?php echo $botcolor; ?>!important;
}
<?php
$ecolor    = new phpColor( $botcolor );
$_botcolor = $ecolor->darken(10);
?>
.ipcht-widget .ipcht-widget-header-inner:after {
  border-bottom-color: #<?php echo $_botcolor; ?>!important;
}