<?php
/**
 * Widget footer style
 *
 * @package wp-chat-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */

$config   = $this->widgetConfig;

$width    = $config->getSetting( 'width', 420 );
$height   = $config->getSetting( 'area_height', 320 );
$color    = $config->getSetting( 'area_text_color', '#333333' );
$bowidth  = $config->getSetting( 'area_border_size' );
$bocolor  = $config->getSetting( 'area_border_color', '#dddddd' );
//
//Image
$imgurl = false;
if ( $bgimg = $config->getSetting( 'area_background_image' ))
{
    $data = wp_get_attachment_image_src( $bgimg, 'full' );
    if ( ! empty( $data[0] )) {
        $imgurl = $data[0];
    }
}
$repeat   = $config->getSetting( 'area_background_repeat', 'repeat' );
$bgcolor  = $config->getSetting( 'area_background_color', '#f5f5f5' );

//Font
$fontSize = $config->getSetting( 'area_font_size', 12 );
$font_opt = $config->getSetting( 'area_font_family', 'roboto' );
$family   = IPCht_Font::getFamily( $font_opt );
?>

.ipcht-widget {
  width: <?php echo $width; ?>px;
  <?php
  if ( $bowidth ) {
    echo 'border:' . $bowidth . 'px solid ' . $bocolor . ';';
  }
  ?>
}
.ipcht-widget-inner {
  background-color: <?php echo $bgcolor; ?>;
}

.ipcht-widget .ipcht-widget-main {
  height: <?php echo $height; ?>px;
	color: <?php echo $color; ?>;
  font-family: <?php echo $family; ?>;
  font-size: <?php echo $fontSize; ?>px;
	<?php
  if ( $bowidth ) {
    echo 'border:' . $bowidth . 'px solid ' . $bocolor . ';';
  }
  ?>
}

.ipcht-widget .ipcht-widget-main-bg {
  background-color: <?php echo $bgcolor; ?>;
  <?php
  if ( $imgurl ) {
    echo 'background-image: url(' . $imgurl . ');';
    echo 'background-repeat:'. $repeat . ';';
  }
  if ( $opacity = $config->getSetting( 'area_background_opacity', 20 )) {
      $value = $opacity/100;
      echo 'opacity:' . $value . ';';
  }
  ?>
}