<?php
/**
 * Widget view
 *
 * @package wp-chat-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */

//Include styles
//
$this->view( 'front/style' );

$config = $this->widgetConfig;
$system = $this->systemConfig;
$class  = 'ipcht-widget-wrapper';
$class .= ' ipcht-widget-' . $config->getSetting( 'position', 'right' );
$class .= ' ipcht-header-radius-' . $config->getSetting( 'header_border_radius', 'none' );
$class .= ' ipcht-main-radius-' . $config->getSetting( 'area_border_radius', 'none' );
$class .= ' ipcht-template-' . $config->getSetting( 'template', 1 );
$class .= ' ipcht-shadow-';

if ( $config->getSetting( 'shadow', 'false' ) == 'true' ) {
  $class .= 'on';
} else {
  $class .= 'off';
}
if ( $config->getSetting( 'widget_visibility', 'true' ) == 'true' ) {
  $class .= ' ipcht-widget-show';
} else {
  $class .= ' ipcht-widget-hide';
}

?>

<!-- start: .ipcht-widget -->
<div class="<?php echo $class; ?>">
  <?php
  $this->view( 'front/widget/tab' );
  ?>

  <?php
  $wclass = 'ipcht-widget';
  if ( $config->getSetting( 'widget_visibility', 'true' ) == 'true' ) {
    $wclass .= ' ipcht-open';
  }
  ?>
  <!-- start .ipcht-widget -->
  <div class="<?php echo $wclass; ?>">
    <!-- start .ipcht-widget-inner -->
    <div class="ipcht-widget-inner">
      <div class="ipcht-widget-inner2">
        <?php
        $this->view( 'front/widget/header' );
        $this->view( 'front/widget/main' );
        $this->view( 'front/widget/footer' );
        ?>
      </div>
      <div class="ipcht-widget-main-bg"></div>
      <div class="ipcht-widget-settings">
        <?php
        $datavis  = '';
        $datavis .= ' data-animation="' . $config->getSetting( 'show_animation', 'none' ) . '"';
        $datavis .= ' data-speed="' . $config->getSetting( 'show_animation_speed', 500 ) . '"';
        ?>
        <div class="ipcht-settings-visibilty"<?php echo $datavis; ?>></div>

        <?php
        //
        //Input chat Audio
        $audio = $config->getSetting( 'sending_sound', 0 );
        if ( ! empty( $audio ) ) :
          $path = IPCHT_BASE_URL . 'assets/audio/audio-' . $audio;
        ?>
        <audio class="ipcht-audio ipcht-audio-sending" style="display:none;">
          <source src="<?php echo $path; ?>.mp3" type="audio/mpeg">
          <source src="<?php echo $path; ?>.ogg" type="audio/ogg">
          <?php _e( 'Your browser does not support this audio format.', IPCHT_SLUG ); ?>
        </audio>
        <?php
        endif;

        //
        //New chat Audio
        $audio = $config->getSetting( 'new_chat_sound', 0 );
        if ( ! empty( $audio ) ) :
          $path = IPCHT_BASE_URL . 'assets/audio/audio-' . $audio;
        ?>
        <audio class="ipcht-audio ipcht-audio-new-chat" style="display:none;">
          <source src="<?php echo $path; ?>.mp3" type="audio/mpeg">
          <source src="<?php echo $path; ?>.ogg" type="audio/ogg">
          <?php _e( 'Your browser does not support this audio format.', IPCHT_SLUG ); ?>
        </audio>
        <?php
        endif;
        ?>
      </div>
    </div>
    <!-- end .ipcht-widget-inner -->
  </div>
  <!-- end .ipcht-widget -->
</div>
<!-- end .ipcht-widget -->