<?php
/**
 * Widget main content offline view
 *
 * @package wp-chat-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */
$widget = $this->widgetConfig;
$system = $this->systemConfig;

$dspOffline = ' style="display:none;"';
if ( $this->isOffline() ) {
	$dspOffline = '';
}
?>

<!-- start: .ipcht-content-offline -->
<div class="ipcht-content ipcht-content-offline"<?php echo $dspOffline; ?>>
	<!-- start: .ipcht-content-inner -->
	<div class="ipcht-content-inner">

		<div class="ipcht-form-message" style="display:none;">
			<p class="ipcht-alert"></p>
		</div>

		<p class="ipcht-content-intro">
			<?php
			echo stripslashes( $system->getSetting( 'offline_info', __( 'We offline', IPCHT_SLUG ) ));
			?>
		</p>

		<!-- start: .ipcht-form-wrapper -->
		<div class="ipcht-form-wrapper">
			<form id="ipcht-form-offline" action="" method="post">
				<!-- start: .ipcht-form-fields -->
				<div class="ipcht-form-fields">

					<?php
					if ( $system->getSetting( 'form_offline_name', 'true' ) == 'true' ) :
					?>
					<!-- start: .ipcht-form-field -->
					<div class="ipcht-form-field ipcht-field-name">
						<?php
						$label = stripslashes( $system->getSetting( 'input_name_label', __( 'Name', IPCHT_SLUG ) ));
						?>
						<!-- start: .ipcht-form-input -->
						<div class="ipcht-form-input">
							<input type="text" id="ipcht-input-name" class="ipcht-form-control" name="name" value="" placeholder="<?php echo $label; ?>">
						</div>
						<!-- end: .ipcht-form-input -->
					</div>
					<!-- end: .ipcht-form-field -->
					<?php
					endif;
					?>

					<!-- start: .ipcht-form-field -->
					<div class="ipcht-form-field ipcht-field-email">
						<?php
						$label = stripslashes( $system->getSetting( 'input_email_label', __( 'Email', IPCHT_SLUG ) ));
						?>
						<!-- start: .ipcht-form-input -->
						<div class="ipcht-form-input">
							<input type="text" id="ipcht-input-email" class="ipcht-form-control" name="email" value="" placeholder="<?php echo $label; ?>">
						</div>
						<!-- end: .ipcht-form-input -->
					</div>
					<!-- end: .ipcht-form-field -->

					<?php
					if ( $system->getSetting( 'form_offline_phone', 'true' ) == 'true' ) :
					?>
					<!-- start: .ipcht-form-field -->
					<div class="ipcht-form-field ipcht-field-phone">
						<?php
						$label = stripslashes( $system->getSetting( 'input_phone_label', __( 'Phone', IPCHT_SLUG ) ));
						?>
						<!-- start: .ipcht-form-input -->
						<div class="ipcht-form-input">
							<input type="text" id="ipcht-input-phone" class="ipcht-form-control" name="phone" value="" placeholder="<?php echo $label; ?>">
						</div>
						<!-- end: .ipcht-form-input -->
					</div>
					<!-- end: .ipcht-form-field -->
					<?php
					endif;
					?>

					<!-- start: .ipcht-form-field -->
					<div class="ipcht-form-field ipcht-field-message">
						<?php
						$label = stripslashes( $system->getSetting( 'input_message_label', __( 'Message', IPCHT_SLUG ) ));
						?>
						<!-- start: .ipcht-form-input -->
						<div class="ipcht-form-input">
							<textarea id="ipcht-input-message" class="ipcht-form-control" name="message" placeholder="<?php echo $label; ?>"></textarea>
						</div>
						<!-- end: .ipcht-form-input -->
					</div>
					<!-- end: .ipcht-form-field -->

				</div>
				<!-- end: .ipcht-form-fields -->

				<!-- start: .ipcht-form-submit -->
				<div class="ipcht-form-submit">
					<button type="submit" name="dosubmit" class="ipcht-btn-submit">
						<?php
						echo stripslashes( $system->getSetting( 'submit_offline_label', __( 'Send', IPCHT_SLUG ) ));
						?>
					</button>
				</div>
				<!-- end: .ipcht-form-submit -->
			</form>
		</div>
		<!-- end: .ipcht-form-wrapper -->

	</div>
	<!-- end: .ipcht-content-inner -->
</div>
<!-- end: .ipcht-content-offline -->