<?php
/**
 * Controller to handling delete chat for admin page
 *
 * @package wp-chat-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */

if ( ! class_exists( 'IPCht_Ajax_Admin_delete_chat' ))
{
  class IPCht_Ajax_Admin_delete_chat
  {
  	/**
     * Execution save setting
     *
     * @return void
     */
    public function exec()
    {
    	if ( empty( $_POST['user_id'] ) )
      {
        echo json_encode( array(
          'status'    => 0,
          'message'   => __( 'Error', IPCHT_SLUG )
        ) );
        die();
      }
      $userId = absint( $_POST['user_id'] );

      $modSession = new IPCht_Model_Session();
      $modUser    = new IPCht_Model_User();
      $modChat    = new IPCht_Model_Chat();

      if ( ! $user = $modUser->getUser( $userId ))
      {
        echo json_encode( array(
          'status'    => 0,
          'message'   => __( 'Error', IPCHT_SLUG )
        ) );
        die();
      }

      $result = $modChat->deleteChats( $userId );
      if ( $result ) {
        $result = $modUser->deleteUser( $userId );
      }

      if ( $result )
      {
        echo json_encode( array(
          'status'    => 1,
          'message'   => __( 'Successfully delete chats', IPCHT_SLUG )
        ) );
      }
      else
      {
        echo json_encode( array(
          'status'    => 0,
          'message'   => __( 'Failed to delete chats', IPCHT_SLUG )
        ) );
      }
      die();
    }
  }
}