<?php
/**
 * Effect fields view
 *
 * @package wp-chat-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */

//
//Field Shadow
$this->renderFieldOnOff(array(
	'name'		  	=> 'shadow',
	'label'  	   	=> 'Shadow',
	'info'		   	=> 'Determines whether to add a shadow effect on the chat widget.',
	'inputValue'  => 'false',
));

//
//Sending Sound Effect
$options = array(
	0 => __( 'None', IPCHT_SLUG ),
	1 => __( 'Audio #1', IPCHT_SLUG ),
	2 => __( 'Audio #2', IPCHT_SLUG ),
	3 => __( 'Audio #3', IPCHT_SLUG ),
	4 => __( 'Audio #4', IPCHT_SLUG ),
	5 => __( 'Audio #5', IPCHT_SLUG )
);
$this->renderFieldSelect(array(
	'name'		  	 => 'sending_sound',
	'label'  	   	 => 'Sending Chat Sound',
	'info'		   	 => 'Set the sount effect when user sending a new chat.',
	'inputOptions' => $options,
	'inputValue'   => 0,
));

//
//New Sound Effect
$this->renderFieldSelect(array(
	'name'		  	 => 'new_chat_sound',
	'label'  	   	 => 'New Chat Sound',
	'info'		   	 => 'Set the sount effect when a new chat is comming.',
	'inputOptions' => $options,
	'inputValue'   => 0,
));
?>

<h4 class="ipcht-field-title mb0 py10">
  <?php _e( 'Widget Show Effect', IPCHT_SLUG ); ?>
</h4>

<?php
$this->renderFieldOnOff(array(
	'name'		  	 => 'widget_visibility',
	'label'  	   	 => 'Default Show/Hide',
	'info'		   	 => 'Determines whether to show widget chat when page has loaded.',
	'inputValue'   => true,
));

//
//Animation type
$options = array(
  'none'      => __( 'None', IPCHT_SLUG ),
  'linear'    => __( 'Linear', IPCHT_SLUG ),
  'bounce'    => __( 'Bounce', IPCHT_SLUG ),
  'back'      => __( 'Back', IPCHT_SLUG ),
  'elastic'   => __( 'Elastic', IPCHT_SLUG ),
  'expo'      => __( 'Expo', IPCHT_SLUG )
);
$this->renderFieldSelect(array(
	'name'		  	 => 'show_animation',
	'label'  	   	 => 'Animation Type',
	'info'		   	 => 'Set the animation type when chat widget is showing.',
	'inputOptions' => $options,
	'inputValue'   => 'none',
));

//Speed
$this->renderFieldSize(array(
	'name'		  	 => 'show_animation_speed',
	'label'  	   	 => 'Animation Speed',
	'info'		   	 => 'Set the animation speed when chat widget is showing.',
	'inputUnit'		 => 'second',
	'inputValue'   => 500,
));
?>