<?php
/**
 * Tab fields view
 *
 * @package wp-chat-plus
 * @author InstaProduct
 * @link http://insta-product.com/
 */

//
//Field Text
$this->renderFieldText(array(
	'name'			 => 'tab_label',
	'label' 		 => 'Button Label',
	'inputValue' => '',
	'info'		   => 'Set the button label.'
));

//
//Field Width
$this->renderFieldSize(array(
	'name'			 => 'tab_width',
	'label' 		 => 'Width',
	'inputValue' => '280',
	'info'		   => 'Set the width (in px) of the tab button.'
));

//
//Field Height
$this->renderFieldSize(array(
	'name'			 => 'tab_height',
	'label' 		 => 'Height',
	'inputValue' => '48',
	'info'		   => 'Set the height (in px) of the tab button.'
));

//
//Field Bg Color
$this->renderFieldColor(array(
	'name'			 		=> 'tab_background_color',
	'label' 		 		=> 'Background Color',
	'info'  		 		=> 'Set the background color of the tab button.',
	'inputValue' 		=> '#000000'
));

//
//Field Border
$this->renderFieldBorder(array(
	'name'			 		=> 'tab',
	'color_default' => '#000000',
	'info'		   	  => 'Add border on the tab button.'
));

//
//Field Border radius
$options = array(
  'none' => __( 'None', IPCHT_SLUG ),
  'xs'   => __( 'Extra Small', IPCHT_SLUG ),
  'sm'   => __( 'Small', IPCHT_SLUG ),
  'md'   => __( 'Medium', IPCHT_SLUG ),
  'lg'   => __( 'Large', IPCHT_SLUG )
);
$this->renderFieldSelect(array(
	'name'		  	=> 'tab_border_radius',
	'label'  	   	=> 'Border Radius',
	'info'		   	=> 'Add radius on the tab button.',
	'inputValue'  => 'none',
	'inputOptions'  => $options
));

//
//Field Text Color
$this->renderFieldColor(array(
	'name'			 => 'tab_text_color',
	'label'  	   => 'Text Color',
	'info'		   => 'Set the color of the text in tab button.',
	'inputValue' => '#ffffff'
));

//
//Field Font Size
$this->renderFieldSize(array(
	'name'		  	=> 'tab_font_size',
	'label'  	   	=> 'Font Size',
	'info'		    => 'Set the font size of the text in tab button.',
	'inputValue'  => '16'
));

//
//Field Font Family
$this->renderFieldFontFamily(array(
	'name'			 => 'tab_font_family',
	'label'  	   => 'Font Family',
	'info'		   => 'Set the font type of the text in tab button.'
));
?>